## org.apache.lucene.index
Interface IndexReader.ReaderFinishedListener

Enclosing class:
  IndexReader

    public static interface IndexReader.ReaderFinishedListener

A custom listener that's invoked when the IndexReader is finished.

For a SegmentReader, this listener is called only once all SegmentReaders sharing the same core are closed. At this point it is safe for apps to evict this reader from any caches keyed on `IndexReader.getCoreCacheKey()`. This is the same interface that `FieldCache` uses, internally, to evict entries.

For other readers, this listener is called when they are closed.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Method Summary
`void` `finished(IndexReader reader)`

Method Detail

### finished

    void finished(IndexReader reader)

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.